org.eclipse.gef.fx.anchors

## Enum IComputationStrategy.Parameter.Kind

- java.lang.Object
- - java.lang.Enum<IComputationStrategy.Parameter.Kind>
  - - org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter.Kind

All Implemented Interfaces:
  Serializable, Comparable<IComputationStrategy.Parameter.Kind>

Enclosing class:
  IComputationStrategy.Parameter<T>

    public static enum IComputationStrategy.Parameter.Kind
    extends Enum<IComputationStrategy.Parameter.Kind>

Indicates whether the parameter value can be shared to compute positions of all attached anchors or not.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANCHORAGE` Indicates that the parameter value may be shared to compute the position for all attached `AnchorKey`, as the value depends on the anchorage `Node` (to which the anchor is bound) and not on an individual attached anchored `Node`.
`ANCHORED` Indicates that the parameter value may not be shared, i.e. an individual value is required to compute the position for each attached `AnchorKey`, e.g. because the value depends on the anchored node.

### Method Summary

All Methods Static Methods Concrete Methods
`static IComputationStrategy.Parameter.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IComputationStrategy.Parameter.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ANCHORAGE

    public static final IComputationStrategy.Parameter.Kind ANCHORAGE

Indicates that the parameter value may be shared to compute the position for all attached `AnchorKey`, as the value depends on the anchorage `Node` (to which the anchor is bound) and not on an individual attached anchored `Node`.

#### ANCHORED

    public static final IComputationStrategy.Parameter.Kind ANCHORED

Indicates that the parameter value may not be shared, i.e. an individual value is required to compute the position for each attached `AnchorKey`, e.g. because the value depends on the anchored node.

### Method Detail

#### values

    public static IComputationStrategy.Parameter.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IComputationStrategy.Parameter.Kind c : IComputationStrategy.Parameter.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IComputationStrategy.Parameter.Kind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null